API

Get a list of contractors

GET/api/crm/v2/contractorsv2
operationId: contractors.default

Authorization

api-token + language + role

Query parameters

chain_idinteger

Example: 1

downloadstring

Values:yes

Example: yes

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
settingsobject
One of the options
object
contract_accessbooleanrequired

Example: true

contractor_idintegerrequired

Example: 1

splitted_invoicesbooleanrequired

Example: true

minimum_pricenumberrequired

Example: 600

sum_invoice_less_minimumbooleanrequired

Example: true

rounding_invoicesbooleanrequired

Example: false

listarray of object
idintegerrequired

Example: 1

entity_name_fullstring

Full legal name of the contractor

Example: Test

ceo_name_firststring

Example: John

ceo_name_middlestring

Example: Adam

ceo_name_laststring

Example: Smith

city_namestringrequired

Example: Moscow

branch_namestring

Example: Green Basket

readonlybooleanrequired

Example: false

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false